< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package approval
  Definition Classes
    accounts
-  package calculations
  Definition Classes
    accounts
-  package frs102
  Definition Classes
    accounts
-  package frs105
  Definition Classes
    accounts
-  package frs10x
  Definition Classes
    accounts
-  package frsse2008
  Definition Classes
    accounts
-  package retriever
  Definition Classes
    accounts
-  package validation
  Definition Classes
    accounts
- AC1
- AC12
- AC14
- AC2
- AC205
- AC206
- AC3
- AC4
- AC401
- AC402
- AC403
- AC404
- AccountsPreviousPeriodValidation
- CompanyAddress

c

uk.gov.hmrc.ct.accounts

# AC205 

###

#### case class AC205(value: Option[LocalDate]) extends CtBoxIdentifier with CtOptionalDate with Input with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Input, CtOptionalDate, OptionalCtValue[LocalDate], CtValue[Option[LocalDate]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC205
2. Serializable
3. Serializable
4. Product
5. Equals
6. Input
7. CtOptionalDate
8. OptionalCtValue
9. CtValue
10. CtBoxIdentifier
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC205(value: Option[LocalDate])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoxString: Option[String]
   Definition Classes
     CtValue
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def asLocalDate: Option[LocalDate]
   Definition Classes
     CtOptionalDate
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
12.  def id: String
    Definition Classes
      CtBoxIdentifier
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  val name: String
    Definition Classes
      CtBoxIdentifier
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  val value: Option[LocalDate]
    Definition Classes
      AC205 → CtValue
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Input

### Inherited from CtOptionalDate

### Inherited from OptionalCtValue[LocalDate]

### Inherited from CtValue[Option[LocalDate]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped